Loading...
Searching...
No Matches
Catch::Clara::Detail::ParserBase Class Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::ParserBase:
[legend]

## Public Member Functions

virtual | ~ParserBase ()=default
virtual auto | validate () const -> Result
virtual auto | parse (std::string const &exeName, TokenStream tokens) const -> InternalParseResult=0
virtual size_t | cardinality () const
InternalParseResult | parse (Args const &args) const

## Constructor & Destructor Documentation

## ~ParserBase()

virtual Catch::Clara::Detail::ParserBase::~ParserBase | ( |  | ) |

virtualdefault

## Member Function Documentation

## cardinality()

size_t Catch::Clara::Detail::ParserBase::cardinality | ( |  | ) | const

virtual

Reimplemented in Catch::Clara::Detail::ParserRefImpl< DerivedT >, Catch::Clara::Detail::ParserRefImpl< Arg >, and Catch::Clara::Detail::ParserRefImpl< Opt >.

Here is the caller graph for this function:

## parse() [1/2]

InternalParseResult Catch::Clara::Detail::ParserBase::parse | ( | Args const & | args | ) | const

Here is the call graph for this function:

## parse() [2/2]

virtual auto Catch::Clara::Detail::ParserBase::parse | ( | std::string const & | exeName,
|  | TokenStream | tokens ) const -> InternalParseResult

pure virtual

Implemented in Catch::Clara::Arg, Catch::Clara::ExeName, Catch::Clara::Opt, and Catch::Clara::Parser.

Here is the call graph for this function:
Here is the caller graph for this function:

## validate()

virtual auto Catch::Clara::Detail::ParserBase::validate | ( |  | ) | const -> Result

inlinevirtual

Reimplemented in Catch::Clara::Opt, and Catch::Clara::Parser.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp